<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version='1.0'>
<!--########################################################################### 
 |    $Id: bridgehead.mod.xsl,v 1.3 2001/04/25 21:19:44 ben Exp $
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |                                                        
 |   PURPOSE:
 + ############################################################################ -->



<!-- Add bridgehead renderas support -->
<xsl:template match="bridgehead">
<xsl:text>&#10;&#10;</xsl:text>

<xsl:variable name="level">
  <xsl:choose>
  <xsl:when test="@renderas">
    <xsl:value-of select="@renderas"/>
  </xsl:when>
  <xsl:otherwise>
    sect4
  </xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:call-template name="lyx.mapping">
  <xsl:with-param name="keyword" select="$level"/>
</xsl:call-template>
<xsl:call-template name="normalize-scape">
  <xsl:with-param name="string" select="."/>
</xsl:call-template>

<xsl:text>&#10;</xsl:text>
<xsl:call-template name="label.id"/>
<!-- \layout Standard -->
</xsl:template>

</xsl:stylesheet>
