<?xml version='1.0'?>
<!--######################################################################### 
 |    $Id: procedure.mod.xsl,v 1.4 2001/05/09 18:53:34 ben Exp $
 |- #########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |                                                        
 |   PURPOSE:
 + ##########################################################################
-->

<xsl:stylesheet
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
        exclude-result-prefixes="doc" version='1.0'>


<doc:template name="procedure" id="unsupported" xmlns="">
  <refpurpose>Procedure list</refpurpose>
  <refdescription>
    <para>This element translated like an <literal>orderedlist</literal> because
    the rendering is the same.</para>
  </refdescription>
</doc:template>


<xsl:template match="procedure">
<xsl:if test="title"> <xsl:apply-templates select="title"/></xsl:if>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="procedure/title">
  <xsl:apply-templates/>
</xsl:template>


<xsl:template match="step">
<xsl:choose>
  <xsl:when test="title">
    <xsl:apply-templates select="title"/>
  </xsl:when>
  <xsl:otherwise>
    <xsl:text>\layout Enumerate&#10;</xsl:text>
  </xsl:otherwise>
</xsl:choose>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="procedure/title"> </xsl:template>

<xsl:template match="substeps">
<xsl:text>\begin_deeper&#10;</xsl:text>
<xsl:apply-templates/>
<xsl:text>\end_deeper&#10;</xsl:text>
</xsl:template>

</xsl:stylesheet>

