<?xml version='1.0'?>
<!--########################################################################### 
 |    $Id: revision.mod.xsl,v 1.3 2001/07/04 22:45:57 ben Exp $
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |                                                        
 |   PURPOSE:
 + ############################################################################ -->

<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
    exclude-result-prefixes="doc" version='1.0'>


<doc:template name="revhistory|revision|revnumber|date" id="unsupported" xmlns="">
  <refpurpose>Revision list</refpurpose>
  <refdescription>
    <para>The revision history and its related elements are not translated since
    there is no style defined for them in LyX.</para>
  </refdescription>
</doc:template>

<xsl:template match="revhistory">
<xsl:call-template name="unsupported.block"/>
</xsl:template>

<xsl:template match="revhistory/revision">
<xsl:call-template name="unsupported.block"/>
</xsl:template>

<xsl:template match="revision/*">
<xsl:call-template name="unsupported.inline"/>
</xsl:template>

</xsl:stylesheet>
