<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
    exclude-result-prefixes="doc" 
    version='1.0'>

<!--########################################################################### 
 |    $Id: programlisting.mod.xsl,v 1.2 2001/03/14 23:16:58 ben Exp $
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |                                                        
 |   PURPOSE:
 + ############################################################################ -->

<doc:reference xmlns="">
    <referenceinfo>
    <releaseinfo role="meta">
        $Id: programlisting.mod.xsl,v 1.2 2001/03/14 23:16:58 ben Exp $
    </releaseinfo>
    <author>
        <surname>Casellas</surname>
        <firstname>Ramon</firstname>
    </author>
    <copyright><year>2000</year>
        <holder>Ramon Casellas</holder>
    </copyright>
    </referenceinfo>
    
    <title>Verbatim Templates</title>

    <partintro>
        <section><title>Introduction</title>

        <para>This is technical reference documentation for the DocBook XSL
        Stylesheets; it documents (some of) the parameters, templates, and
        other elements of the stylesheets.</para>

        <para>This reference describes the templates and parameters relevant
        to formatting EBNF markup.</para>

        <para>This is not intended to be <quote>user</quote> documentation.
        It is provided for developers writing customization layers for the
        stylesheets, and for anyone who's interested in <quote>how it
        works</quote>.</para>
        </section>
    </partintro>
</doc:reference>


<xsl:template match="programlisting">
<xsl:text>&#10;</xsl:text>
    <xsl:apply-templates mode="lyx.programlisting"/>
</xsl:template>



</xsl:stylesheet>
